import Vuex from 'vuex'
import Vue from 'vue'
import api from '../api/api'
Vue.use(Vuex)
const dictionaryMapCache = {}
export default new Vuex.Store({
  state: {
    APP_CONFIG: {
      baseURL: '',
      token: '',
    },
  },
  mutations: {
    SET_APP_CONFIG: (state, data) => {
      state.APP_CONFIG = {
        ...state.APP_CONFIG,
        ...data,
      }
    },
  },
  actions: {},
  getters: {
    APP_CONFIG: (state) => state.APP_CONFIG,
    user: (state) => state.APP_CONFIG.user,
    userCommunityList: (state) => state.APP_CONFIG.user.communityIdsInfo,
    permissionList: (state) => state.APP_CONFIG.permissionList || [],
    dictionary: (state) => {
      return (id) => {
        return id ? state.APP_CONFIG.dictionary[id] : state.APP_CONFIG.dictionary
      }
    },
    dictionaryMap: (state) => (id) => {
      if (!id) {
        return {}
      }
      if (dictionaryMapCache[id]) {
        return dictionaryMapCache[id]
      }
      const arr = state.APP_CONFIG.dictionary[id] || []
      const obj = {}
      for (let i = 0, len = arr.length; i < len; i += 1) {
        const item = arr[i]
        obj[item.value] = item.name
      }
      dictionaryMapCache[id] = obj
      return obj
    },
  },
})
