import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue2'
import { resolve } from 'path'
import antdvFix from 'vite-plugin-antdv-fix'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), antdvFix()],
  resolve: {
    alias: {
      '@': resolve(__dirname, './src'),
      'gt-vue2-components': resolve(__dirname, '../packages/gt-antd1'),
    },
  },
  css: {
    preprocessorOptions: {
      less: {
        javascriptEnabled: true,
      },
    },
  },
  server: {
    port: 5002,
    host: true,
    open: true,
  },
  define: {
    'process.env': {},
  },
})
