#! /bin/bash

NAME=$1

FILE_PATH=$(cd "$(dirname "${BASH_SOURCE[0]}")/../packages" && pwd)

re="[[:space:]]+"

if [ "$#" -ne 1 ] || [[ $NAME =~ $re ]] || [ "$NAME" == "" ]; then
  echo "Usage: pnpm gc \${name} with no space"
  exit 1
fi

DIRNAME="$FILE_PATH/gt-antd1/$NAME"

if [ -d "$DIRNAME" ]; then
  echo "$NAME component already exists, please change it"
  exit 1
fi

NORMALIZED_NAME=""
for i in $(echo $NAME | sed 's/[_|-]\([a-z]\)/\ \1/;s/^\([a-z]\)/\ \1/'); do
  C=$(echo "${i:0:1}" | tr "[:lower:]" "[:upper:]")
  NORMALIZED_NAME="$NORMALIZED_NAME${C}${i:1}"
done

mkdir -p "$DIRNAME"
mkdir -p "$DIRNAME/src"

cat > $DIRNAME/src/$NAME.vue <<EOF
<template>
  <div class="Gt${NORMALIZED_NAME}">
  </div>
</template>

<script>
export default {
  name: 'Gt${NORMALIZED_NAME}',
  data() {
    return {}
  },
  computed: {},
  created() {},
  methods: {},
}
</script>

<style lang="less" scoped>
.Gt${NORMALIZED_NAME} {
}
</style>
EOF

cat <<EOF >"$DIRNAME/index.js"
import { install } from '../_utils/install'
import ${NORMALIZED_NAME} from './src/${NAME}.vue'

export const Gt${NORMALIZED_NAME} = install(${NORMALIZED_NAME})
export default Gt${NORMALIZED_NAME}
EOF
